Content Hub: com::ubuntu::content::Type Class Reference

Content Hub 0.2.0 A session-wide content-exchange service |

Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | Friends | List of all members
com::ubuntu::content::Type Class Reference

`#include <type.h>`

Inheritance diagram for com::ubuntu::content::Type:
Collaboration diagram for com::ubuntu::content::Type:

## Classes
struct | Known

## Public Member Functions
virtual | ~Type ()
| Type (const Type &)
Type & | operator= (const Type &)
bool | operator== (const Type &) const
bool | operator!= (const Type &) const
bool | operator< (const Type &) const
virtual Q_INVOKABLE const QString & | id () const

## Static Public Member Functions
static const Type & | unknown ()
static const Type & | all ()

## Protected Member Functions
| Type (const QString &, QObject *=nullptr)

## Properties
QString | id

## Friends
struct | Known
class | detail::Service
class | detail::RegistryUpdater

## Detailed Description

Definition at line 35 of file type.h.

## Constructor & Destructor Documentation

## ◆ ~Type()

virtual com::ubuntu::content::Type::~Type | ( |  | ) |
| virtual

## ◆ Type() [1/2]

com::ubuntu::content::Type::Type | ( | const Type & |  | ) |

## ◆ Type() [2/2]

com::ubuntu::content::Type::Type | ( | const QString & | ,
|  | QObject * | = `nullptr`
| ) |  |
| explicitprotected

## Member Function Documentation

## ◆ all()

static const Type& com::ubuntu::content::Type::all | ( |  | ) |
| static

## ◆ id()

virtual Q_INVOKABLE const QString& com::ubuntu::content::Type::id | ( |  | ) | const
| virtual

## ◆ operator!=()

bool com::ubuntu::content::Type::operator!= | ( | const Type & |  | ) | const

## ◆ operator<()

bool com::ubuntu::content::Type::operator< | ( | const Type & |  | ) | const

## ◆ operator=()

Type& com::ubuntu::content::Type::operator= | ( | const Type & |  | ) |

## ◆ operator==()

bool com::ubuntu::content::Type::operator== | ( | const Type & |  | ) | const

## ◆ unknown()

static const Type& com::ubuntu::content::Type::unknown | ( |  | ) |
| static

## Friends And Related Function Documentation

## ◆ detail::RegistryUpdater

friend class detail::RegistryUpdater
| friend

Definition at line 70 of file type.h.

## ◆ detail::Service

friend class detail::Service
| friend

Definition at line 69 of file type.h.

## ◆ Known

friend struct Known
| friend

Definition at line 68 of file type.h.

## Property Documentation

## ◆ id

QString com::ubuntu::content::Type::id
| read

Definition at line 1 of file type.h.

The documentation for this class was generated from the following file:

- /build/content-hub-git/src/content-hub/include/com/ubuntu/content/type.h